com.mockobjects.jms

## Class MockQueueReceiver

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockMessageConsumer
    - - com.mockobjects.jms.MockQueueReceiver

- All Implemented Interfaces:
    Verifiable

      public class MockQueueReceiver
      extends MockMessageConsumer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockQueueReceiver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Queue` | `getQueue()`

    - ### Methods inherited from class com.mockobjects.jms.MockMessageConsumer

      `close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setExpectedCloseCalls, setExpectedMessageListener, setExpectedReceiveCalls, setExpectedTimeout, setMessageListener, setupExpiresOnTimeout, setupReceivedMessage, setupThrowException`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockQueueReceiver

          public MockQueueReceiver()

  - ### Method Detail

    - #### getQueue

          public Queue getQueue()

Copyright © 2002 Mock Objects. All Rights Reserved.